#!/bin/bash

echo "To install grapp, you first need to authenticate as root"
sudo test

echo "Installing Graphviz..."

if [[ "$OSTYPE" == "darwin"* ]]; then
    # macOS
    brew install graphviz wget
elif [[ -f /etc/debian_version ]]; then
    # Debian/Ubuntu
    sudo apt update
    sudo apt install -y graphviz wget unzip sudo
elif [[ -f /etc/arch-release ]]; then
    # Arch
    sudo pacman -Syu --noconfirm graphviz wget unzip sudo
elif [[ -f /etc/fedora-release ]]; then
    # Fedora
    sudo dnf install -y graphviz wget unzip sudo
else
    echo "Unsupported OS"
    exit 1
fi

echo "Getting the latest version of Grapp..."
wget https://gitlab.univ-lille.fr/iovka.boneva/grapp/-/raw/master/binaries/Grapp.zip

echo "Extracting Grapp.zip..."
unzip Grapp.zip

sudo mv ./Grapp /opt/grapp

echo "Configuring installation..."

if [[ "$SHELL" == *"zsh" ]]; then 
    # ZSH
    echo "export PATH='/opt/grapp/bin:$PATH" >> ~/.zshrc
elif [[ "$SHELL" == *"bash" ]]; then
    # Bash
    echo "export PATH='/opt/grapp/bin:$PATH" >> ~/.bashrc
fi

